Subject: [seamoby] Bluetooth Paging v.s. Cellular Paging

From: James Kempf <[email-masked]>
Date: Mon, 26 Mar 2001 15:58:15 -0800 (PST)

Kulwinder,

>Not only can it exist.  It does exist.  Take a look at how Piconet Broadcast
>works for dormant devices (parked) in Bluetooth.  Further, a device may
>power down everything but a small portion of the reciever.  The reciever can
>trigger on the L2 address to wake up the rest of the chip/device.
>
>It is clear that a paging protocol is only useful for Commercial Cellular
>technologies that:
>
>1. Use Paging as a substitute for routing.
>
>2. Use Paging as a substitute for a power efficient hardware design.
>
>Bluetooth transmissions are timer driven and based on QoS policy.  An
>asynchronous paging protocol has no value.  
>

The requirements should be written such that timer-based dormant mode
is supported. I believe we agreed on that. However, they also must support
cellular networks were paging is done over a specific broadcast channel.
It turns out that in wCDMA networks, it is possible to send user data
over certain paging channels. SMS works this way. So it is by no means
impossible for a commercial cellular network to send IP packets
during paging, it would just mean that the IP stack would have to deal
with sending it over a separate channel. The requirements should accommodate
both, and they should accommodate L2 protocols that do not allow 
L3 data to be sent over paging channels nor will they ever, which I believe 
means GSM, as Alissio was I think talking about.

However, I disagree with your characterization of paging as not a routing
function. In the case of Bluetooth, it may be possible that routes to
the piconet have timed out, in which case, paging may be essential  to
reestablish the routes. The reestablishment of the routes may simply
go over the same L2 channel as user data rather than over a special
paging channel, but the effect may be the same.  Important semantic note:
when I say "routes" here I do not necessarily mean standard wired routing
protocols or host routes, a mobile IP HA registration that times out is another
possibility.

The whole point of IP, and it's elegance IMHO, is that it does unify
network access for all kinds of really disparate L2s. I think we can
do the same for paging. If we don't, there is really no point in doing it.

		jak

---

From: Kulwinder Atwal <[email-masked]>
Date: Mon, 26 Mar 2001 20:28:36 -0500

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Monday, March 26, 2001 6:58 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Bluetooth Paging v.s. Cellular Paging
> 
> 
> Kulwinder,
> 
> function. 

> In the case of Bluetooth, it may be possible that routes to
> reestablish the routes. 

A dormant mode (parked) device does not timeout.  Do you have any other
possible reasons for suggesting that Bluetooth needs a paging protocol?  

- Kulwinder.

---

From: "Casati, Alessio (Alessio)" <[email-masked]>
Date: Tue, 27 Mar 2001 10:05:18 +0100

with sending it over a separate channel. 

One thing is saying it is possible to do something, another is
actually doing it in commercial networks. It may turn out that
there is no money associated to sending a paging IP packet over a 
paging L2 channel (the complexity does not justify the benefits). 
Hence my strong statement.

alessio

---

From: James Kempf <[email-masked]>
Date: Tue, 27 Mar 2001 08:08:18 -0800 (PST)

>possible reasons for suggesting that Bluetooth needs a paging protocol?  

I wasn't implying that the device timed out, I was stating that
the routes to the device might time out.

And I was under the impression that Bluetooth already *has* an L2
paging protocol. Is that not so?

		jak

---

From: Kulwinder Atwal <[email-masked]>
Date: Tue, 27 Mar 2001 11:22:37 -0500

> Sent: Tuesday, March 27, 2001 11:08 AM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: RE: Bluetooth Paging v.s. Cellular Paging
> 
> 
> 

Sounds like a flaw in a routing protocol.  Maybe a mobile wireless routing
protocol needs to change routes based on L2 triggers instead of arbitrary
timers.

> paging protocol. Is that not so?

There is a point-to-point method used to discover a new device and associate
it to the network for the first time.  Once a device is discovered it may be
placed into a dormant state.  There is no relation between dormant mode and
paging.

- Kulwinder.